summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2020-06-29 20:43:33 -0600
committerTim Harder <radhermit@gentoo.org>2020-06-29 20:43:33 -0600
commited8f6329562e0ba8bdd61a4264535fb08b13892f (patch)
tree116283c75cb0de2aa3ccf30e91d9a8b1bd3732e5
parentmedia-gfx/gmic: remove old (diff)
downloadgentoo-ed8f6329562e0ba8bdd61a4264535fb08b13892f.tar.gz
gentoo-ed8f6329562e0ba8bdd61a4264535fb08b13892f.tar.bz2
gentoo-ed8f6329562e0ba8bdd61a4264535fb08b13892f.zip
media-video/mkvtoolnix: version bump to 48.0.0
Signed-off-by: Tim Harder <radhermit@gentoo.org>
-rw-r--r--media-video/mkvtoolnix/Manifest1
-rw-r--r--media-video/mkvtoolnix/mkvtoolnix-48.0.0.ebuild121
-rw-r--r--media-video/mkvtoolnix/mkvtoolnix-9999.ebuild4
3 files changed, 124 insertions, 2 deletions
diff --git a/media-video/mkvtoolnix/Manifest b/media-video/mkvtoolnix/Manifest
index a142bf3c4e8..bdec2ee13e2 100644
--- a/media-video/mkvtoolnix/Manifest
+++ b/media-video/mkvtoolnix/Manifest
@@ -4,3 +4,4 @@ DIST mkvtoolnix-43.0.0.tar.xz 7486252 BLAKE2B b74577627e503cf7f5f83232ef7b0cf362
DIST mkvtoolnix-45.0.0.tar.xz 7500448 BLAKE2B 6725ac716a8882e061c31d05670d6fe5fe5900755b8e1fb0bc089c6d42529120fec9053925505f51d0453a06e46be502680321225375f2013ea3908f0ce92595 SHA512 373400c66ad8ea70b775d946842783c241fea04f4c5c9628f1652e45128e34abc41037045cbd47b83e70e350a338e5dc188cf0b51662726e0ff2e8288f0423dc
DIST mkvtoolnix-46.0.0.tar.xz 7505996 BLAKE2B 22c0a3951241ec87c6004c2ed9eaf43d217a219572f48f9c47ed26625276ede180b25018f7f561f36f68e8fdf484f9cd1d51b5d6faf109916ecbfc1bc34c372b SHA512 8c88ba82a5b3eeb1eda2e1387a9beac1c3265761e189088d51464a4f6af0a9e6ba299254bbe84253ed7c832f2c4642513751617c928f1fdc52d8d7b286b6974c
DIST mkvtoolnix-47.0.0.tar.xz 7532248 BLAKE2B 7b2c8763a2b2b038933dc96a58e000f13031ffbb7bc89eedb1990c3df58598c9d1f6e03ded14a9468283b3d276ecc8c7e03941bbb977a9fd9c340ed8776693f8 SHA512 dad1c976acfbbaaa75114ea21ebd5bd1367b3fb843178c11fa5ac995169411a1f9210d43bc3adfd8990a8e69ba3c5dbe6b7416bcd9250a804df1a571d04afc2d
+DIST mkvtoolnix-48.0.0.tar.xz 7476388 BLAKE2B 995c468f9e2069204b539cdc3200d5543ed159c2e969bce207af828ff2ab9bd56767a10359486ed3717efcf28e1aa13f2d6b538af58fcbbc965ee5c050310739 SHA512 33cd028eb990a01433b511416b613ae0c44b398a80c4f2d56a8d419b0b76fde2c36f04024a182402d7e787ff369222df7f22873db34efe7af03746c1c2def80d
diff --git a/media-video/mkvtoolnix/mkvtoolnix-48.0.0.ebuild b/media-video/mkvtoolnix/mkvtoolnix-48.0.0.ebuild
new file mode 100644
index 00000000000..4f1a6f2c045
--- /dev/null
+++ b/media-video/mkvtoolnix/mkvtoolnix-48.0.0.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs multiprocessing qmake-utils xdg
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/mbunkus/mkvtoolnix.git"
+ EGIT_SUBMODULES=()
+ inherit autotools git-r3
+else
+ SRC_URI="https://mkvtoolnix.download/sources/${P}.tar.xz"
+ KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Tools to create, alter, and inspect Matroska files"
+HOMEPAGE="https://mkvtoolnix.download/ https://gitlab.com/mbunkus/mkvtoolnix"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug dvd nls pch test qt5"
+RESTRICT="!test? ( test )"
+
+# check NEWS.md for build system changes entries for boost/libebml/libmatroska
+# version requirement updates and other packaging info
+RDEPEND="
+ >=dev-libs/boost-1.60:=
+ >=dev-libs/libebml-1.4.0:=
+ >=dev-libs/libfmt-6.1.0:=
+ dev-libs/pugixml:=
+ media-libs/flac:=
+ >=media-libs/libmatroska-1.6.0:=
+ media-libs/libogg:=
+ media-libs/libvorbis:=
+ sys-apps/file
+ sys-libs/zlib
+ dvd? ( media-libs/libdvdread:= )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtmultimedia:5
+ app-text/cmark:0=
+ )
+"
+DEPEND="${RDEPEND}
+ dev-cpp/nlohmann_json
+ dev-libs/utfcpp
+ test? ( dev-cpp/gtest )
+"
+BDEPEND="
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ dev-ruby/rake
+ virtual/pkgconfig
+ nls? (
+ sys-devel/gettext
+ app-text/po4a
+ )
+"
+
+src_prepare() {
+ xdg_src_prepare
+ if [[ ${PV} == *9999 ]]; then
+ ./autogen.sh || die
+ fi
+
+ # remove bundled libs
+ rm -r lib/{fmt,libebml,libmatroska,nlohmann-json,pugixml,utf8-cpp} || die
+}
+
+src_configure() {
+ # bug 692322, use system dev-libs/utfcpp
+ append-cppflags -I"${ESYSROOT}"/usr/include/utf8cpp
+
+ local myeconfargs=(
+ $(use_enable debug)
+ $(usex pch "" --disable-precompiled-headers)
+ $(use_enable qt5 qt)
+ $(use_with dvd dvdread)
+ $(use_with nls gettext)
+ $(usex nls "" --with-po4a-translate=false)
+ --disable-update-check
+ --disable-optimization
+ --with-boost="${ESYSROOT}"/usr
+ --with-boost-libdir="${ESYSROOT}"/usr/$(get_libdir)
+ )
+
+ if use qt5 ; then
+ # ac/qt5.m4 finds default Qt version set by qtchooser, bug #532600
+ myeconfargs+=(
+ --with-moc=$(qt5_get_bindir)/moc
+ --with-uic=$(qt5_get_bindir)/uic
+ --with-rcc=$(qt5_get_bindir)/rcc
+ --with-qmake=$(qt5_get_bindir)/qmake
+ )
+ fi
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ rake V=1 -j$(makeopts_jobs) || die
+}
+
+src_test() {
+ rake V=1 -j$(makeopts_jobs) tests:unit || die
+ rake V=1 -j$(makeopts_jobs) tests:run_unit || die
+}
+
+src_install() {
+ DESTDIR="${D}" rake -j$(makeopts_jobs) install || die
+
+ einstalldocs
+ dodoc NEWS.md
+ doman doc/man/*.1
+}
diff --git a/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild b/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
index eb57b01c0ba..4f1a6f2c045 100644
--- a/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
+++ b/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
@@ -26,11 +26,11 @@ RESTRICT="!test? ( test )"
# version requirement updates and other packaging info
RDEPEND="
>=dev-libs/boost-1.60:=
- >=dev-libs/libebml-1.3.7:=
+ >=dev-libs/libebml-1.4.0:=
>=dev-libs/libfmt-6.1.0:=
dev-libs/pugixml:=
media-libs/flac:=
- >=media-libs/libmatroska-1.5.0:=
+ >=media-libs/libmatroska-1.6.0:=
media-libs/libogg:=
media-libs/libvorbis:=
sys-apps/file